package javafxprogressbar;
/**
 * @author Amit
 */

import javafx.ext.swing.*;
import javafx.animation.*;
import javafx.scene.Font;
import javafx.scene.FontStyle;
import javafx.scene.text.Text;
import javafx.scene.paint.Color;
import javafx.ext.swing.Button;
import javafx.animation.Timeline;
import javafx.animation.KeyFrame;
import javafx.ext.swing.SwingFrame;
import javafx.ext.swing.BorderPanel;
import javafx.scene.geometry.Rectangle;

var wdth=0;
var t=Timeline {
    repeatCount: 1
   keyFrames: [KeyFrame{time  : 0s
                         values: wdth => 0},
                            
                KeyFrame{time  : 4s
                         values: wdth => 400 tween Interpolator.EASEBOTH }
   ]
}
SwingFrame {
    title: "Progress Bar"
    width: 430
    height: 200
    resizable:false
    closeAction: function() { 
        java.lang.System.exit(0); 
    }
    visible: true
    content: BorderPanel {
        top:Canvas{
            content:[Text {
            font: Font { 
                size: 12 
                style: FontStyle.PLAIN
            }
            x: 10, y: 30
            content: bind "{wdth/4}% complete"
        }]
       }
        center: Canvas{
        content: [
            Rectangle {
                x: 10, y: 40
                width:bind wdth, height: 15
                fill: Color.BLUE
                opacity:1
            },Rectangle {
                x: 10, y: 40
                width: 400, height: 15
                fill: Color.BLACK
                strokeWidth:2
                opacity:0.1
            }]
        }
     bottom: FlowPanel{
     content: [Button {
            text: "Start"
            action: function() { 
               t.start(); 
                }
            }]
        } 
     }
}